Bug 2230 - [UPDATE REQUEST] libx11 1.5.0 -> 1.6.0
: [UPDATE REQUEST] libx11 1.5.0 -> 1.6.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 08:05 MSD by Andrey Bondrov
Modified: 2013-07-15 15:28 MSD (History)
3 users (show)

See Also:
RPM Package: libx11
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
dmitry.romashkin: secteam_verified+
andrey.bondrov: published+


Attachments
statistics.txt (266.96 KB, text/plain)
2013-07-13 22:40 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-06-19 08:05:04 MSD
New version of libx11 is released.
Comment 1 Andrey Bondrov 2013-06-19 08:08:23 MSD
Advisory: 

"New version 1.6.0. Changes since 1.5.0:
- fixes for the recently announced security issues CVE-2013-1981, CVE-2013-1997,
and CVE-2013-2004;
- the addition of the _XEatDataWords API for use by Xlib-based extension libraries, to help them avoid integer overflows when it is necessary to discard data; 
- removal of ancient, unused, incomplete support for the Cray Unicos OS, and the DECnet and TLI transport types;
- numerous improvements to compose files and locale data;
- man page macro cleanups to improve compatibility with doclifter;
- and various other code cleanups and compiler warning fixes."

https://abf.rosalinux.ru/build_lists/1162561
https://abf.rosalinux.ru/build_lists/1162562
Comment 2 Vladimir Potapov 2013-07-12 18:46:51 MSD
The packages route to extended testing
Comment 3 Postnikov Dmitry 2013-07-13 22:40:09 MSD
Created attachment 1663 [details]
statistics.txt

****************************************
Extended testing report
****************************************
 	
I did not report to register. All OK. Say what tested. Checked with the update of the XCB of bugs 2228.
Testing ALL test x11perf. I attached log file OLD and NEW test-log x11perf.
Testing as well x11perf in sync mode.
Testing in glxgears, xrandr, xev, xinput, xmode, xdpyinfo, xwininfo, gloss, xprop. As well testing VLC and vlc-pluging, Extmremtuxracer, Supertuxrace.
All testing on 5 computers (Nvidia, ATI and Intel).
Comment 4 Vladimir Potapov 2013-07-14 16:50:16 MSD
libx11_6-1.6.0-2-rosa2012.1
******************** Advisory *********************
New version 1.6.0
********************* Changelog ******************
 Changes since 1.5.0:
- fixes for the recently announced security issues CVE-2013-1981, CVE-2013-1997,
and CVE-2013-2004;
- the addition of the _XEatDataWords API for use by Xlib-based extension libraries, to help them avoid integer overflows when it is necessary to discard data; 
- removal of ancient, unused, incomplete support for the Cray Unicos OS, and the DECnet and TLI transport types;
- numerous improvements to compose files and locale data;
- man page macro cleanups to improve compatibility with doclifter;
- and various other code cleanups and compiler warning fixes.
****************************************************
QA Verified
Comment 5 Postnikov Dmitry 2013-07-15 10:09:03 MSD
After this update, in Gnome Ri RC3 (1306) gdm began to work more stable. It became less garbage in the logs. Not observed segfault some of the programs that used to fall out.